> For the complete documentation index, see [llms.txt](https://liquiidio.gitbook.io/unity-plugin-suite/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://liquiidio.gitbook.io/unity-plugin-suite/anchorlink/api-docs/anchorlinksharp/interfaces/anchorlinksharp-ilinkstorage.md).

# ILinkStorage

Interface storage adapters should implement.

LinkStorage adapters are responsible for persisting \[\[LinkSession]]'s and can optionally be passed to the \[\[AnchorLink]] constructor to auto-persist sessions.

## Summary

| Members                                                                                                        | Descriptions                                                                    |
| -------------------------------------------------------------------------------------------------------------- | ------------------------------------------------------------------------------- |
| `public Task` [`Write`](/unity-plugin-suite/anchorlink/api-docs/anchorlinksharp.md)`(string key, string data)` | Write string to storage at key. Should overwrite existing values without error. |
| `public Task< string >` [`Read`](/unity-plugin-suite/anchorlink/api-docs/anchorlinksharp.md)`(string key)`     | Read key from storage. Should return `null` if key can not be found.            |
| `public Task` [`Remove`](/unity-plugin-suite/anchorlink/api-docs/anchorlinksharp.md)`(string key)`             | Delete key from storage. Should not error if deleting non-existing key.         |

## Members

**`public Task`** [**`Write`**](/unity-plugin-suite/anchorlink/api-docs/anchorlinksharp.md)**`(string key, string data)`**

Write string to storage at key. Should overwrite existing values without error.

**`public Task< string >`** [**`Read`**](/unity-plugin-suite/anchorlink/api-docs/anchorlinksharp.md)**`(string key)`**

Read key from storage. Should return `null` if key can not be found.

**`public Task`** [**`Remove`**](/unity-plugin-suite/anchorlink/api-docs/anchorlinksharp.md)**`(string key)`**

Delete key from storage. Should not error if deleting non-existing key.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://liquiidio.gitbook.io/unity-plugin-suite/anchorlink/api-docs/anchorlinksharp/interfaces/anchorlinksharp-ilinkstorage.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
